Kling Motion
curl --request POST \
--url https://api.acedata.cloud/kling/motion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
'import requests
url = "https://api.acedata.cloud/kling/motion"
payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_url: 'https://cdn.acedata.cloud/4hfydw.jpg',
video_url: 'https://cdn.acedata.cloud/634d760216.mp4',
character_orientation: 'image',
mode: 'std'
})
};
fetch('https://api.acedata.cloud/kling/motion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "842566592663294013",
"video_url": "https://v2-fdl.kechuangai.com/ksc2/Uq0-Nvwehv0OfWX88wao0lIWRw7m8OZOFVbUx7emXgf52nLYe1A1XKmZzlPJlKthP9ulPmnlp9jZ1_d3KEN_oljuVlOy0jSdYpzstoSRpAxZyh6tcgmNApY7JqOYmGFvR1AJfv7pTZHR1cgsZFQglp9QkxEX_EZQjoiaRw1u3uBihawIJP6wS-A1FoOCVqPo2vncHRudxFetv9s8lxknng.mp4?cacheKey=ChtzZWN1cml0eS5rbGluZy5tZXRhX2VuY3J5cHQSsAG04QEeevta2ygpiBWoFInQCl5nEOZkpcKIIdULwl5xJH3r5YMC1Mok8R1T4JzlzNZdJDfaeGxp-aCK8FfuI2HlhjPFobjmbi-TQMCMFGUL3xIgAMXDX2hN5EGCtc0dGOMZ_RwsUMSC4dgiw2ebjCdzTDiAXWCoYC8gz3Kq8zboA-yF8TRXOK_aysHmPO4PusaqMrIxNbCxoN6R5J_Eg1YZVhy5_gKAk8WvmUdBB7ErQxoSnEyggwjlEmAabESg8cJCaRyFIiA-rOZ14LVgXlPqzek71LpnPk6CuSZJ4HfD9-nnjya-pygFMAE&x-kcdn-pid=112757&pkey=AAWBVCuuLCmakFjOrVd_xYtFt4Y36y_ZaqKEI7nVItN41tGWBHbksySUGsh9OeNowY-KjdzIjpt9AvY0MxOFuJrfoW9Xk4CjCaaYWutmA0PJyx9mFZvZfWmII2NMTQlVWYM",
"duration": "5.066",
"state": "succeed",
"task_id": "307c3359-f68a-44e1-bd3b-c5d5a2a2ca0a"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Kling Motion
POST
/
kling
/
motion
Kling Motion
curl --request POST \
--url https://api.acedata.cloud/kling/motion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
'import requests
url = "https://api.acedata.cloud/kling/motion"
payload = {
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg",
"video_url": "https://cdn.acedata.cloud/634d760216.mp4",
"character_orientation": "image",
"mode": "std"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image_url: 'https://cdn.acedata.cloud/4hfydw.jpg',
video_url: 'https://cdn.acedata.cloud/634d760216.mp4',
character_orientation: 'image',
mode: 'std'
})
};
fetch('https://api.acedata.cloud/kling/motion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "842566592663294013",
"video_url": "https://v2-fdl.kechuangai.com/ksc2/Uq0-Nvwehv0OfWX88wao0lIWRw7m8OZOFVbUx7emXgf52nLYe1A1XKmZzlPJlKthP9ulPmnlp9jZ1_d3KEN_oljuVlOy0jSdYpzstoSRpAxZyh6tcgmNApY7JqOYmGFvR1AJfv7pTZHR1cgsZFQglp9QkxEX_EZQjoiaRw1u3uBihawIJP6wS-A1FoOCVqPo2vncHRudxFetv9s8lxknng.mp4?cacheKey=ChtzZWN1cml0eS5rbGluZy5tZXRhX2VuY3J5cHQSsAG04QEeevta2ygpiBWoFInQCl5nEOZkpcKIIdULwl5xJH3r5YMC1Mok8R1T4JzlzNZdJDfaeGxp-aCK8FfuI2HlhjPFobjmbi-TQMCMFGUL3xIgAMXDX2hN5EGCtc0dGOMZ_RwsUMSC4dgiw2ebjCdzTDiAXWCoYC8gz3Kq8zboA-yF8TRXOK_aysHmPO4PusaqMrIxNbCxoN6R5J_Eg1YZVhy5_gKAk8WvmUdBB7ErQxoSnEyggwjlEmAabESg8cJCaRyFIiA-rOZ14LVgXlPqzek71LpnPk6CuSZJ4HfD9-nnjya-pygFMAE&x-kcdn-pid=112757&pkey=AAWBVCuuLCmakFjOrVd_xYtFt4Y36y_ZaqKEI7nVItN41tGWBHbksySUGsh9OeNowY-KjdzIjpt9AvY0MxOFuJrfoW9Xk4CjCaaYWutmA0PJyx9mFZvZfWmII2NMTQlVWYM",
"duration": "5.066",
"state": "succeed",
"task_id": "307c3359-f68a-44e1-bd3b-c5d5a2a2ca0a"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}授权
API token from https://platform.acedata.cloud
请求头
Kling Motion Param Accept
可用选项:
application/json 请求体
application/json
Kling Motion Mode
可用选项:
std, pro Kling Motion Image Url
Kling Motion Video Url
Kling Motion Character Orientation
可用选项:
image, video Kling Motion Keep Original Sound
可用选项:
yes, no Kling Motion Prompt
示例:
"White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
Kling Motion Callback Url
Kling Motion Async

